%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Name:		ldetect-lst
Version:	0.1.303.1
Release:	%mkrel 1
Summary:	Hardware list for the light detection library
URL:		http://svnweb.mageia.org/soft/ldetect-lst/trunk/
Source0:	%{name}-%{version}.tar.xz
# NO MORE PATCHES ACCEPTED, COMMIT IN SVN INSTEAD
Group:		System/Kernel and hardware
License:	GPLv2+
Requires(post):	perl-base gzip
Requires(preun): perl-base
BuildRequires:	perl-MDK-Common
%if !%{bootstrap}
# for testsuite:
BuildRequires:	drakx-kbd-mouse-x11
# needed to create fallback-modules.alias
%ifarch %arm
BuildRequires:  kernel-kirkwood-latest
%else
BuildRequires:	kernel-desktop-latest
%endif
# for list_modules.pm
BuildRequires:	drakxtools-backend >= 10.30
%endif
Conflicts:	ldetect < 0.7.18
Conflicts:	module-init-tools < 3.3-pre11.29
Conflicts:	usbutils < 0.86-2
Conflicts:	pnputils < 0.1-6
Obsoletes:	pciids <= 1:0.7-1.20091201
Provides:	pciids
Provides:	hwdata
# for XFdrake using nvidia-current instead of nvidia-97xx
Conflicts:	drakx-kbd-mouse-x11 < 0.21

%package	devel
Summary:	Devel for ldetect-lst
Group:		Development/Perl
Requires:	ldetect-lst = %{version}

%description
The hardware device lists provided by this package are used as lookup 
table to get hardware autodetection.

%description	devel
This package provides merge2pcitable, a tool that enables to merge in hardware
databases new entries pacakged in eg /usr/share/ldetect-lst/pcitable.d.

%prep
%setup -q
# NO MORE PATCHES ACCEPTED, COMMIT IN SVN INSTEAD

%build
%if %{bootstrap}
pushd lst
touch hardcoded-modules.alias fallback-modules.alias preferred-modules.alias
popd
%endif

%make

%check
%if !%{bootstrap}
make check
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall slibdir=$RPM_BUILD_ROOT/lib

%clean
rm -rf $RPM_BUILD_ROOT

# trigger is needed to upgrade from a package having
# /usr/share/ldetect-lst/pcitable in the package to the new scheme
%triggerpostun -- %{name}
if [ -x /usr/sbin/update-ldetect-lst ]; then
  /usr/sbin/update-ldetect-lst
fi

%preun -p "/usr/sbin/update-ldetect-lst --clean"

%post -p /usr/sbin/update-ldetect-lst

%files
%defattr(-,root,root)
%doc AUTHORS 
%{_datadir}/usb.ids
%{_datadir}/oui.txt
%{_datadir}/pci.ids
%{_datadir}/misc/pnp.ids
%{_datadir}/%{name}
%{_sbindir}/*
/lib/module-init-tools/ldetect-lst-modules.alias

%files devel
%defattr(-,root,root)
%doc convert/README.pcitable
%{_bindir}/*


%changelog

* Thu Aug 16 2012 tmb <tmb> 0.1.303.1-1.mga2
+ Revision: 281690
- add new NVIDIA ids from the proprietary nvidia-current-295.71
- add another intel id from kernel-3.3.6
- add new NVIDIA ids from the proprietary nvidia-current-295.49
- Monitor DB
  o add SyncMaster XL2370 (mga#5315)

* Wed May 02 2012 tv <tv> 0.1.302-1.mga2
+ Revision: 234477
- drop DKMS data about r8192se_pci & rt3090sta* (mga#5681)

* Sat Apr 28 2012 tv <tv> 0.1.301-1.mga2
+ Revision: 234082
- use fbdev for "Poulsbo US15W(GMA500)" (mga#5633)

* Thu Apr 05 2012 anssi <anssi> 0.1.300-1.mga2
+ Revision: 228611
- version 0.1.300:
- disable nvidia96xx as third driver when nvidia cannot be used due to
  missing SSE support
- refuse to set up nvidia if SSE support is not available
- Monitor DB
  o add BENQ G2320HDB (mga#397)
- add new AMD ids from the proprietary and free drivers
- add new NVIDIA ids from the proprietary driver
- restructure AMD/ATI Cards+ entries for HD 2000 and newer
  o separate those that support usermode modesetting
  o add the necessary FIRMWARE and DRIVER_NO_FIRMWARE entries as per
    mga bug #3466
  o do not assign anything to the old unmaintained radeonhd driver
- switch NVIDIA NVD9/GF119 cards from vesa to nouveau

* Sat Dec 10 2011 tv <tv> 0.1.299-1.mga2
+ Revision: 180053
- Monitor DB
  o sync with latest Fedora

* Sat Dec 10 2011 tv <tv> 0.1.298-1.mga2
+ Revision: 180036
- update pci.ids & usb.ids (mga#3677)

* Fri Dec 02 2011 anssi <anssi> 0.1.297-1.mga2
+ Revision: 175262
- 0.1.297
  o add new ATI ids from the free and proprietary drivers
  o add new NVIDIA ids from the proprietary driver
  o add new Intel ids from the i915 driver
  o disable nvidia173 and nvidia96xx as they do not support X.org server
    1.11
  o switch NVIDIA Fermi (400/500 series) from vesa to nouveau driver
    except for some PMC.ID 0xd9 cards (GF410/510/520 and Quadro 4200M)
    that will only get support in kernel 3.2

* Sun Nov 27 2011 tv <tv> 0.1.296-1.1.mga2
+ Revision: 173203
- add nvidia 0x0df4 (mga#3499)
- add Samsung SyncMaster 933SN (mga#1658)

* Wed Nov 23 2011 blino <blino> 0.1.295-1.1.mga2
+ Revision: 171495
- 0.1.295
- drop merged "fix for mga #933 must filter on subvendor/subdevice" patch
- 0.1.294
- move back ldetect-lst-modules.alias in /lib/module-init-tools/,
  it needs to be parsed in its own group, so that modprobe.d/*.conf
  files are preferred over i

* Mon Nov 21 2011 tv <tv> 0.1.293-1.1.mga2
+ Revision: 170566
- add support for virtual gfx card
- drop obsolete pcitable.ia64 (either redundant or invalid)
- reenable nvidia96xx (support for x.org server 1.10 was added with 96.43.20)
- move preferred aliases list back to /etc/modprobe.d
  (still read before kernel ones)

* Mon Oct 17 2011 tmb <tmb> 0.1.292-2.1.mga2
+ Revision: 155639
- fix for mga #933 must filter on subvendor/subdevice in order to fix mga #1525

  + dmorgan <dmorgan>
    - Fix project URL

  + tv <tv>
    - add new ATI ids from the free and proprietary drivers
    - add support for all new Intel Sandy Bridge graphics devices (mga#1401)
    - add support for QXL virtual video card
    - add support for wl driver (#2266)
    - disable nvidia96xx (not compatible with x.org server 1.10)
    - prefer amd74xx module for nForce MCP51 IDE (mga#933ch mdv49957)
    - switch 1002:9610 back to ati driver (mga #1267)
    - make the names of the last two Cards using radeonhd/fglrx more specific
    - make 'MAX' in pnp.ids point to Maxdata (for some Belinea monitors)

* Mon Jul 18 2011 cjw <cjw> 0.1.291-10.mga2
+ Revision: 126023
- patch4: fix company name for monitors from MaxData in gnome control center

* Tue May 24 2011 tv <tv> 0.1.291-9.mga1
+ Revision: 100340
- add support for all new Intel Sandy Bridge graphics devices (mga#1401)

* Tue May 24 2011 ahmad <ahmad> 0.1.291-8.mga1
+ Revision: 100282
- Add support for Intel graphics device 0126, Sandy Bridge Integrated Graphics
  Controller (mga#1401)

* Sun May 15 2011 pterjan <pterjan> 0.1.291-7.mga1
+ Revision: 98946
- Rebuild for fixed find-requires

* Tue May 03 2011 tmb <tmb> 0.1.291-6.mga1
+ Revision: 94520
- prefer amd74xx module for nForce MCP51 IDE (#933)

* Thu Apr 21 2011 rtp <rtp> 0.1.291-5.mga1
+ Revision: 89408
- Fix kernel BuildRequire on arm as there's no kernel-desktop-latest.

* Wed Apr 20 2011 ahmad <ahmad> 0.1.291-4.mga1
+ Revision: 88873
- Re-enable nvidia173 driver, it should work now with X server 1.10

* Sun Apr 17 2011 anssi <anssi> 0.1.291-3.mga1
+ Revision: 87426
- disable proprietary nvidia96xx and nvidia173 for now (they are not
  compatible with X.org server 1.10 yet)

* Sat Apr 09 2011 tv <tv> 0.1.291-2.mga1
+ Revision: 82671
- patch 0: add suppor for QXL driver for virtualization

* Sat Apr 02 2011 tmb <tmb> 0.1.291-1.mga1
+ Revision: 79850
- fix BR on kernel
- sync with mdv 0.1.291 for new ati and nvidia ids

* Sat Jan 22 2011 erwan <erwan> 0.1.290-1.mga1
+ Revision: 30737
- imported package ldetect-lst

